Skip to content
Browse files

Replace deprecated rake/gempackagetask with rubygems/package_task

  • Loading branch information...
1 parent a090810 commit a588a23d037b6569e2fb6099af8c7e4d36e446af @sferik sferik committed Dec 11, 2011
Showing with 4 additions and 4 deletions.
  1. +4 −4 Rakefile
View
8 Rakefile
@@ -1,5 +1,5 @@
require 'rake/clean'
-require 'rake/gempackagetask'
+require 'rubygems/package_task'
$:.unshift 'lib'
require 'pry/version'
@@ -59,7 +59,7 @@ namespace :ruby do
s.platform = Gem::Platform::RUBY
end
- Rake::GemPackageTask.new(spec) do |pkg|
+ Gem::PackageTask.new(spec) do |pkg|
pkg.need_zip = false
pkg.need_tar = false
end
@@ -79,7 +79,7 @@ namespace :jruby do
s.platform = "java"
end
- Rake::GemPackageTask.new(spec) do |pkg|
+ Gem::PackageTask.new(spec) do |pkg|
pkg.need_zip = false
pkg.need_tar = false
end
@@ -94,7 +94,7 @@ end
s.platform = "i386-#{v}"
end
- Rake::GemPackageTask.new(spec) do |pkg|
+ Gem::PackageTask.new(spec) do |pkg|
pkg.need_zip = false
pkg.need_tar = false
end

0 comments on commit a588a23

Please sign in to comment.
Something went wrong with that request. Please try again.